// Flutter imports:

// Flutter imports:
import 'package:flutter/material.dart';

// Package imports:
import 'package:flutter_screenutil/flutter_screenutil.dart';

// Project imports:
import 'package:zego_uikit/src/components/defines.dart';
import 'package:zego_uikit/src/components/message/in_room_message_view.dart';
import 'package:zego_uikit/src/services/services.dart';
import 'in_room_chat_view_item.dart';

class ZegoInRoomChatView extends StatefulWidget {
  final AvatarBuilder? avatarBuilder;
  final MessageViewItemBuilder? itemBuilder;

  const ZegoInRoomChatView({
    Key? key,
    this.avatarBuilder,
    this.itemBuilder,
  }) : super(key: key);

  @override
  State<ZegoInRoomChatView> createState() => _ZegoInRoomChatViewState();
}

class _ZegoInRoomChatViewState extends State<ZegoInRoomChatView> {
  @override
  Widget build(BuildContext context) {
    return ZegoInRoomMessageView(
      historyMessages: ZegoUIKit().getInRoomMessages(),
      stream: ZegoUIKit().getInRoomMessageListStream(),
      itemBuilder: (BuildContext context, ZegoInRoomMessage message) {
        return Padding(
          padding: EdgeInsets.symmetric(horizontal: 0.0.r, vertical: 20.0.r),
          child: ZegoInRoomChatViewItem(
            avatarBuilder: widget.avatarBuilder,
            message: message,
          ),
        );
      },
    );
  }
}
