// Flutter imports:
import 'package:flutter/material.dart';

// Project imports:
import 'package:zego_uikit/src/components/message/in_room_message_view.dart';
import 'package:zego_uikit/src/services/services.dart';
import 'in_room_live_commenting_view_item.dart';

class ZegoInRoomLiveCommentingView extends StatefulWidget {
  final MessageViewItemBuilder? itemBuilder;

  const ZegoInRoomLiveCommentingView({
    Key? key,
    this.itemBuilder,
  }) : super(key: key);

  @override
  State<ZegoInRoomLiveCommentingView> createState() =>
      _ZegoInRoomLiveCommentingViewState();
}

class _ZegoInRoomLiveCommentingViewState
    extends State<ZegoInRoomLiveCommentingView> {
  @override
  Widget build(BuildContext context) {
    return ZegoInRoomMessageView(
      historyMessages: ZegoUIKit().getInRoomMessages(),
      stream: ZegoUIKit().getInRoomMessageListStream(),
      itemBuilder: widget.itemBuilder ??
          (BuildContext context, ZegoInRoomMessage message) {
            return ZegoInRoomLiveCommentingViewItem(
              // todo  how to show host?
              // prefix: message.user.id ==
              //         ZegoUIKit().getLocalUser().id
              //     ? 'Me'
              //     : null,
              user: message.user,
              message: message.message,
            );
          },
    );
  }
}

