// Flutter imports:
import 'package:flutter/material.dart';

// Package imports:
import 'package:zego_express_engine/zego_express_engine.dart';

// Project imports:
import 'zego_uikit_user.dart';

enum ZegoInRoomMessageState {
  idle,
  sending,
  success,
  failed,
}

enum ZegoInRoomMessageType {
  userJoin,
  userLeave,
  remoteMessage,
  localMessage,
}

class ZegoInRoomMessage {
  int messageID;
  ZegoUIKitUser user;
  String message;
  int timestamp;
  int errorCode;
  var state =
      ValueNotifier<ZegoInRoomMessageState>(ZegoInRoomMessageState.success);

  ZegoInRoomMessage({
    required this.user,
    required this.message,
    required this.timestamp,
    required this.messageID,
    required this.errorCode,
  });

  ZegoInRoomMessage.fromBroadcastMessage(ZegoBroadcastMessageInfo message)
      : this(
          user: ZegoUIKitUser.fromZego(message.fromUser),
          message: message.message,
          timestamp: message.sendTime,
          messageID: message.messageID,
          errorCode: 0,
        );

  @override
  String toString() {
    return "id:$messageID, user:$user message:$message, timestamp:$timestamp, error code:$errorCode";
  }
}
